# ゲームリストを取得

カタログ構築のために、ゲームのリストを取得します。


  注意
    すべてのプロジェクトには、応答で取得できるアイテム数に制限があります。デフォルトおよび最大値は1応答あたり50アイテムです。ページごとにデータを取得するには、制限とオフセットフィールドを使用してください。





  注意
    認証なしで使用した場合、このAPIコールは一般的なアイテムカタログデータを返します。認証を使用して、アイテムに関連する制限やプロモーションなどのパーソナライズされたユーザーデータを取得します。これを行うには、ユーザーのJWTをAuthorizationヘッダーに渡してください。ユーザーJWTの詳細については、このコールのセキュリティブロックを参照してください。

Endpoint: GET /v2/project/{project_id}/items/game
Version: 2.0.0
Security: XsollaLoginUserJWT

## Path parameters:

  - `project_id` (integer, required)
    プロジェクトID。このパラメータは、パブリッシャーアカウントのプロジェクト名の横、またはプロジェクトの作業中にブラウザのアドレスバーで確認できます。URLの形式は以下の通りです：https://publisher.xsolla.com//projects/。
    Example: 44056

## Query parameters:

  - `limit` (integer)
    ページでの要素数の制限。
    Example: 50

  - `offset` (integer)
    リストが生成される要素番号（カウントは0から始まります）。

  - `locale` (string)
    応答言語。ISO 639-1に準拠した2文字の小文字の言語コード（例：en）。nameやdescriptionなどのローカリゼーションフィールドでは5文字のロケールコード（例：en-US）がサポートされていますが、応答内では2文字のコードに正規化されます。サポートされている言語の完全なリストは、ドキュメントで確認できます。

  - `additional_fields[]` (array)
    応答に含める追加フィールド。デフォルトでは、これらのフィールドは返されません。追加フィールドを含めるには、必須の値を渡してください。
    Enum: "media_list", "order", "long_description", "custom_attributes", "item_order_in_group"

  - `country` (string)
    ISO 3166-1 alpha-2に従った2文字の大文字の国名コード。エクソーラがサポートする国と国を決定するプロセスに関する詳細情報については、ドキュメントを確認してください。
    Example: "US"

  - `promo_code` (string)
    大文字と小文字を区別する一意のコードです。文字と数字が含まれます。
    Example: "WINTER2021"

  - `show_inactive_time_limited_items` (integer)
    ユーザーに利用可能でない、期限付きアイテムを表示します。このようなアイテムの有効期間はまだ開始されていないか、すでに期限切れです。
    Example: 1

## Response 200 fields (application/json):

  - `has_more` (boolean)
    ページ数がもっとあることを示す指標として使用されます。

  - `items` (array)
    Example: [{"sku":"com.xsolla.game_1","name":"Game name","groups":[{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}],"type":"unit","unit_type":"game","description":"Game description","image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","attributes":[{"external_id":"genre","name":"Genre","values":[{"external_id":"23fda05111c125608af8f1fa0e99db45a10ea1cc","value":"Horror"}]}],"promotions":[],"unit_items":[{"sku":"com.xsolla.game_key_01","type":"game_key","is_free":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"virtual_prices":[],"can_be_bought":true,"drm_name":"Steam","drm_sku":"steam_key_1","has_keys":true,"is_pre_order":true,"release_date":"2020-08-11T10:00:00+03:00","promotions":[],"periods":[{"date_from":"2020-08-11T10:00:00+03:00","date_until":"2020-08-11T20:00:00+03:00"}]},{"sku":"com.xsolla.game_key_02","type":"game_key","is_free":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"virtual_prices":[],"can_be_bought":true,"drm_name":"Origin","drm_sku":"origin_key_1","has_keys":false,"is_pre_order":false,"release_date":null,"promotions":[],"periods":[]}]},{"sku":"com.xsolla.game_2","name":"Game name","groups":[{"external_id":"all","name":"All games"}],"type":"unit","unit_type":"game","description":"Game description","image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","attributes":[{"external_id":"OS","name":"OS","values":[{"external_id":"9d5c5efb7c0f00a00fe4e3583f1215b0050bc723","value":"Windows"}]}],"promotions":[],"unit_items":[{"sku":"com.xsolla.game_key_01","type":"game_key","is_free":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"virtual_prices":[],"can_be_bought":true,"drm_name":"Steam","drm_sku":"steam_key_2","has_keys":false,"is_pre_order":false,"release_date":null,"promotions":[],"periods":[{"date_from":null,"date_until":"2020-08-11T20:00:00+03:00"}]}]}]

  - `items.sku` (string)
    一意のアイテムID。SKUには、英大文字、英小文字、数字、ピリオド、ダッシュ、アンダースコアのみを含めることができます。
    Example: "game_01"

  - `items.name` (string)
    アイテム名。
    Example: "Game name"

  - `items.groups` (array)
    アイテムが所属するグループ。

  - `items.groups.external_id` (string)
    作成時に指定された[外部アイテムグループID](/ja/api/catalog/item-groups-admin/admin-create-item-group#item-groups-admin/admin-create-item-group/t=request&path=external_id) 。
    Example: "exclusive"

  - `items.groups.name` (string)
    グループ名。
    Example: "Exclusive"

  - `items.groups.item_order_in_group` (integer)
    グループ内でのアイテムの配置位置は 表示順序を決定します。
additional_fields[]クエリパラメータを介してリクエストされた場合にのみ返されます。
    Example: 1

  - `items.attributes` (array)
    アイテムに対応する属性と値のリスト。カタログのフィルタリングに使用できます。

  - `items.attributes.external_id` (string)
    一意の属性ID。external_idには、英大文字、英小文字、数字、ダッシュ、アンダースコアのみを含めることができます。

  - `items.attributes.name` (string)
    属性名。
    Example: "Genre"

  - `items.attributes.values` (array)

  - `items.attributes.values.external_id` (string)
    属性の一意の値ID。external_idには、英小文字、数字、ダッシュ、アンダースコアのみを含めることができます。

  - `items.attributes.values.value` (string)
    属性値。
    Example: "Strategy"

  - `items.type` (string)
    アイテムタイプ：virtual_good/virtual_currency/bundle/physical_good/unit。
    Example: "unit"

  - `items.unit_type` (string)
    ユニットタイプ：game。
    Example: "game"

  - `items.description` (string)
    アイテムの説明。
    Example: "Game description"

  - `items.image_url` (string)
    画像URL。
    Example: "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png"

  - `items.promotions` (array)
    カート内の特定アイテムに適用されるプロモーション。この配列は、以下のケースで返されます：

* 特定のアイテムに対して、割引キャンペーンが構成されている場合。

* 選択されたアイテムの割引設定を持つプロモーションコードが適用された場合。

アイテムレベルのプロモーションが適用されない場合は、空の配列が返されます。

  - `items.promotions.name` (string)

  - `items.promotions.date_start` (string,null)

  - `items.promotions.date_end` (string,null)

  - `items.promotions.discount` (object,null)

  - `items.promotions.discount.percent` (string,null)

  - `items.promotions.discount.value` (string,null)

  - `items.promotions.bonus` (array)

  - `items.promotions.bonus.sku` (string)

  - `items.promotions.bonus.quantity` (integer)

  - `items.promotions.bonus.type` (string)
    ボーナスアイテムタイプ。
    Enum: "virtual_good", "virtual_currency", "bundle", "physical_good", "game_key", "nft"

  - `items.promotions.bonus.name` (string)
    ボーナスアイテムの名前です。ボーナスアイテムのタイプphysical_goodでは使用できません。

  - `items.promotions.bonus.image_url` (string)
    ボーナスアイテムの画像URLです。ボーナスアイテムのタイプphysical_goodでは使用できません。

  - `items.promotions.bonus.bundle_type` (string)
    ボーナスバンドルアイテムタイプ。ボーナスアイテムタイプbundleのみで利用可能です。
    Enum: "standard", "virtual_currency_package"

  - `items.promotions.limits` (object)

  - `items.promotions.limits.per_user` (object)

  - `items.promotions.limits.per_user.available` (integer)

  - `items.promotions.limits.per_user.total` (integer)

  - `items.unit_items` (array)

  - `items.unit_items.sku` (string)
    一意のアイテムID。SKUには、英大文字、英小文字、数字、ピリオド、ダッシュ、アンダースコアのみを含めることができます。
    Example: "game_01"

  - `items.unit_items.type` (string)
    アイテムタイプ：game_key。
    Example: "game_key"

  - `items.unit_items.is_free` (boolean)
    アイテムが無料かどうか。

  - `items.unit_items.price` (object)
    アイテム価格。

  - `items.unit_items.price.amount` (string)
    割引後のアイテム価格。
    Example: "2.9900"

  - `items.unit_items.price.amount_without_discount` (string)
    アイテム価格。
    Example: "2.9900"

  - `items.unit_items.price.currency` (string)
    商品価格通貨。[ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) による3文字コード。
    Example: "USD"

  - `items.unit_items.virtual_prices` (array)
    仮想価格。

  - `items.unit_items.virtual_prices.amount` (integer)
    仮想通貨建てのアイテム価格。
    Example: 100

  - `items.unit_items.virtual_prices.amount_without_discount` (integer)
    割引適用前の仮想通貨建てのアイテム価格。仮想通貨の価格には割引が適用されないため、常にamountと等しくなります。
    Example: 200

  - `items.unit_items.virtual_prices.sku` (string)
    仮想通貨SKU。
    Example: "vc_gold"

  - `items.unit_items.virtual_prices.is_default` (boolean)
    仮想通貨でのデフォルト価格であるかどうか。
    Example: true

  - `items.unit_items.virtual_prices.image_url` (string,null)
    仮想通貨の画像URL。
    Example: "http://image.png"

  - `items.unit_items.virtual_prices.name` (string)
    仮想通貨名。
    Example: "Gold"

  - `items.unit_items.virtual_prices.type` (string)
    アイテムタイプ。仮想通貨の場合はvirtual_currencyになります。
    Example: "virtual_currency"

  - `items.unit_items.virtual_prices.description` (string,null)
    仮想通貨の説明。
    Example: "In-game currency used to purchase weapons and upgrades"

  - `items.unit_items.can_be_bought` (boolean)
    trueの場合、ユーザーはアイテムを購入することができます。

  - `items.unit_items.drm_name` (string)
    DRM名。
    Example: "Steam"

  - `items.unit_items.drm_sku` (string)
    一意のDRM ID。SKUには、英大文字、英小文字、数字、ピリオド、ダッシュ、アンダースコアのみを含めることができます。
    Example: "steam"

  - `items.unit_items.has_keys` (boolean)
    trueの場合、ゲームキーに販売用のキーがあります。

  - `items.unit_items.is_pre_order` (boolean)
    trueの場合、ゲームキーは先行予約で、まだ発売されていません。
    Example: true

  - `items.unit_items.release_date` (string,null)
    ISO 8601形式でのゲームキーのリリース日。
    Example: "2020-08-11T10:00:00+03:00"

  - `items.unit_items.promotions` (array)
    カート内の特定アイテムに適用されるプロモーション。この配列は、以下のケースで返されます：

* 特定のアイテムに対して、割引キャンペーンが構成されている場合。

* 選択されたアイテムの割引設定を持つプロモーションコードが適用された場合。

アイテムレベルのプロモーションが適用されない場合は、空の配列が返されます。

  - `items.unit_items.promotions.name` (string)

  - `items.unit_items.promotions.date_start` (string,null)

  - `items.unit_items.promotions.date_end` (string,null)

  - `items.unit_items.promotions.discount` (object,null)

  - `items.unit_items.promotions.discount.percent` (string,null)

  - `items.unit_items.promotions.discount.value` (string,null)

  - `items.unit_items.promotions.bonus` (array)

  - `items.unit_items.promotions.bonus.sku` (string)

  - `items.unit_items.promotions.bonus.quantity` (integer)

  - `items.unit_items.promotions.bonus.type` (string)
    ボーナスアイテムタイプ。
    Enum: "virtual_good", "virtual_currency", "bundle", "physical_good", "game_key", "nft"

  - `items.unit_items.promotions.bonus.name` (string)
    ボーナスアイテムの名前です。ボーナスアイテムのタイプphysical_goodでは使用できません。

  - `items.unit_items.promotions.bonus.image_url` (string)
    ボーナスアイテムの画像URLです。ボーナスアイテムのタイプphysical_goodでは使用できません。

  - `items.unit_items.promotions.bonus.bundle_type` (string)
    ボーナスバンドルアイテムタイプ。ボーナスアイテムタイプbundleのみで利用可能です。
    Enum: "standard", "virtual_currency_package"

  - `items.unit_items.promotions.limits` (object)

  - `items.unit_items.promotions.limits.per_user` (object)

  - `items.unit_items.promotions.limits.per_user.available` (integer)

  - `items.unit_items.promotions.limits.per_user.total` (integer)

  - `items.unit_items.periods` (array,null)
    アイテム販売期間。

  - `items.unit_items.periods.date_from` (string)
    指定されたアイテムの販売開始日。
    Example: "2020-08-11T10:00:00+03:00"

  - `items.unit_items.periods.date_until` (string,null)
    指定されたアイテムが販売できなくなる日付。nullを指定することもできます。
    Example: "2020-08-11T20:00:00+03:00"

  - `items.unit_items.vp_rewards` (array)
    アイテムのバリューポイント報酬のリスト。

  - `items.unit_items.vp_rewards.item_id` (integer)
    内部の一意のアイテムID。

  - `items.unit_items.vp_rewards.sku` (string)
    一意のバリューポイントID。

  - `items.unit_items.vp_rewards.amount` (integer)
    バリューポイントの量。

  - `items.unit_items.vp_rewards.name` (string)
    バリューポイント名。

  - `items.unit_items.vp_rewards.image_url` (string)
    画像URL。

  - `items.unit_items.vp_rewards.is_clan` (boolean)
    バリューポイントがクランリワードチェーンで使用されるかどうか。

  - `items.unit_items.loyalty_rewards` (array)
    アイテムを購入した際の報酬としてユーザーが付与されるロイヤルティポイント。

  - `items.unit_items.loyalty_rewards.name` (string)
    ロイヤリティポイント名。

  - `items.unit_items.loyalty_rewards.sku` (string)
    ロイヤルティポイントのSKUです。ロイヤルティポイントで支払う注文を作成する場合など、他のAPIコールのloyalty_point_skuパラメータにこの値を渡してください。

  - `items.unit_items.loyalty_rewards.description` (string)
    ロイヤルティポイントの説明。

  - `items.unit_items.loyalty_rewards.image_url` (string,null)
    画像URL。

  - `items.unit_items.loyalty_rewards.amount` (integer)
    アイテムを購入した際にユーザーが付与されるロイヤルティポイントの数。

  - `items.unit_items.loyalty_prices` (array)
    アイテムの購入に使用できるロイヤルティポイント。

  - `items.unit_items.loyalty_prices.name` (string)
    ロイヤリティポイント名。

  - `items.unit_items.loyalty_prices.sku` (string)
    ロイヤルティポイントのSKUです。ロイヤルティポイントで支払う注文を作成する場合など、他のAPIコールのloyalty_point_skuパラメータにこの値を渡してください。

  - `items.unit_items.loyalty_prices.description` (string)
    ロイヤルティポイントの説明。

  - `items.unit_items.loyalty_prices.image_url` (string,null)
    画像URL。

  - `items.unit_items.loyalty_prices.amount` (integer)
    指定されたロイヤルティポイントでのアイテム価格。


